.search-bar {
  .bg-full {
    position: relative;
  }

  .bg-full:before {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 100%;
    width: 100vw;
    background: #F5F5F5;
    overflow-x: hidden;
    z-index: -1;
  }

  .group-filter {
    .input-search {
      height: 52px;
      border-top-left-radius: 8px;
      border-bottom-left-radius: 8px;
      border-top-right-radius: 0;
      border-bottom-right-radius: 0;
      border-right: 0;
    }

    .clear-button {
      background: #ffffff;
      color: #bdbdbd;

      border-left: 0;
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
      border-top-right-radius: 8px;
      border-bottom-right-radius: 8px;

      svg {
        fill: #bdbdbd;
      }
    }

    .clear-button-icon:hover {
      color: #dc3545;
      cursor: pointer;
    }

    ::placeholder {
      font-size: 16px;
    }
  }

  @media (max-width: 575.98px) {
    .group-filter {
      display: block;

      .clear-button {
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
      }

      .group-filter-organization-topic {
        display: block;
      }
    }
  }
  
}

::ng-deep {
  .search-bar {
    .ng-select {
      &.select-skpd{
        .ng-select-container {
          .ng-value-container {
            .ng-value {
              background-color: #e3f2fd;
            }
          }
        }
      }

      &.select-topic{
        .ng-select-container {
          .ng-value-container {
            .ng-value {
              background-color: #f3e5f5;
            }
          }
        }

        .ng-dropdown-panel {
          .ng-dropdown-panel-items {
            .ng-option.ng-option-marked, .ng-option.ng-option-selected  {
              background-color: #f9f1fa;
            }
          }
        }
      }

      &.select-maptype{
        .ng-select-container {
          .ng-value-container {
            .ng-value {
              background-color: #fffae7;
            }
          }
        }

        .ng-dropdown-panel {
          .ng-dropdown-panel-items {
            .ng-option.ng-option-marked, .ng-option.ng-option-selected  {
              background-color: #fff4ce;
            }
          }
        }
      }
    }
  }
}